| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::saliency::StaticSaliencySpectralResidual Class Reference
Saliency API

the Spectral Residual approach from [107] More...

`#include <opencv2/saliency/saliencySpecializedClasses.hpp>`

Inheritance diagram for cv::saliency::StaticSaliencySpectralResidual:

## Public Member Functions
| StaticSaliencySpectralResidual ()
virtual | ~StaticSaliencySpectralResidual ()
bool | computeSaliency (InputArray image, OutputArray saliencyMap)
int | getImageHeight () const
int | getImageWidth () const
void | read (const FileNode &fn) CV_OVERRIDE
| Reads algorithm parameters from a file storage. More...
void | setImageHeight (int val)
void | setImageWidth (int val)
void | write (FileStorage &fs) const CV_OVERRIDE
| Stores algorithm parameters in a file storage. More...
Public Member Functions inherited from cv::saliency::StaticSaliency
bool | computeBinaryMap (InputArray _saliencyMap, OutputArray _binaryMap)
| This function perform a binary map of given saliency map. This is obtained in this way: More...
Public Member Functions inherited from cv::saliency::Saliency
virtual | ~Saliency ()
| Destructor. More...
bool | computeSaliency (InputArray image, OutputArray saliencyMap)
| Compute the saliency. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | save (const String &filename) const
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< StaticSaliencySpectralResidual > | create ()
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Protected Member Functions
bool | computeSaliencyImpl (InputArray image, OutputArray saliencyMap) CV_OVERRIDE
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Protected Attributes
int | resImHeight
int | resImWidth
Protected Attributes inherited from cv::saliency::Saliency
String | className

## Detailed Description

the Spectral Residual approach from [107]

Starting from the principle of natural image statistics, this method simulate the behavior of pre-attentive visual search. The algorithm analyze the log spectrum of each image and obtain the spectral residual. Then transform the spectral residual to spatial domain to obtain the saliency map, which suggests the positions of proto-objects.

## Constructor & Destructor Documentation

## ◆ StaticSaliencySpectralResidual()

cv::saliency::StaticSaliencySpectralResidual::StaticSaliencySpectralResidual | ( |  | ) |

## ◆ ~StaticSaliencySpectralResidual()

virtual cv::saliency::StaticSaliencySpectralResidual::~StaticSaliencySpectralResidual | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ computeSaliency()

bool cv::saliency::StaticSaliencySpectralResidual::computeSaliency | ( | InputArray | image,
|  | OutputArray | saliencyMap
| ) |  |
| inline

Python:
| retval, saliencyMap | = | cv.saliency_StaticSaliencySpectralResidual.computeSaliency( | image[, saliencyMap] | )

## ◆ computeSaliencyImpl()

bool cv::saliency::StaticSaliencySpectralResidual::computeSaliencyImpl | ( | InputArray | image,
|  | OutputArray | saliencyMap
| ) |  |
| protected virtual

Implements cv::saliency::StaticSaliency.

## ◆ create()

static Ptr<StaticSaliencySpectralResidual> cv::saliency::StaticSaliencySpectralResidual::create | ( |  | ) |
| inline static

Python:
| retval | = | cv.saliency.StaticSaliencySpectralResidual_create( |  | )

## ◆ getImageHeight()

int cv::saliency::StaticSaliencySpectralResidual::getImageHeight | ( |  | ) | const
| inline

Python:
| retval | = | cv.saliency_StaticSaliencySpectralResidual.getImageHeight( |  | )

## ◆ getImageWidth()

int cv::saliency::StaticSaliencySpectralResidual::getImageWidth | ( |  | ) | const
| inline

Python:
| retval | = | cv.saliency_StaticSaliencySpectralResidual.getImageWidth( |  | )

## ◆ read()

void cv::saliency::StaticSaliencySpectralResidual::read | ( | const FileNode & | fn | ) |
| virtual

Python:
| None | = | cv.saliency_StaticSaliencySpectralResidual.read( | fn | )

Reads algorithm parameters from a file storage.

Reimplemented from cv::Algorithm.

## ◆ setImageHeight()

void cv::saliency::StaticSaliencySpectralResidual::setImageHeight | ( | int | val | ) |
| inline

Python:
| None | = | cv.saliency_StaticSaliencySpectralResidual.setImageHeight( | val | )

## ◆ setImageWidth()

void cv::saliency::StaticSaliencySpectralResidual::setImageWidth | ( | int | val | ) |
| inline

Python:
| None | = | cv.saliency_StaticSaliencySpectralResidual.setImageWidth( | val | )

## ◆ write()

void cv::saliency::StaticSaliencySpectralResidual::write | ( | FileStorage & | fs | ) | const
| virtual

Stores algorithm parameters in a file storage.

Reimplemented from cv::Algorithm.

## Member Data Documentation

## ◆ resImHeight

int cv::saliency::StaticSaliencySpectralResidual::resImHeight
| protected

## ◆ resImWidth

int cv::saliency::StaticSaliencySpectralResidual::resImWidth
| protected

The documentation for this class was generated from the following file:

- opencv2/saliency/saliencySpecializedClasses.hpp